//
//  leftCell.m
//  DemoApp02
//
//  Created by YaosuMac on 2020/12/17.
//

#import "leftCell.h"

@implementation leftCell

-(instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        self.lab = [[UILabel alloc]initWithFrame:CGRectMake(5, 10, 90, 30)];
        self.lab.font = [UIFont systemFontOfSize:13];
        self.lab.textColor = [UIColor lightGrayColor];
        self.lab.textAlignment = NSTextAlignmentCenter;
        [self addSubview:self.lab];
        
        self.leftView = [[UIView alloc]initWithFrame:CGRectMake(5, 10, 2, 30)];
        self.leftView.backgroundColor = UIColor.redColor;
        [self addSubview:self.leftView];
        
    }
    
    return self;
}

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
    self.leftView.hidden = selected == YES ? NO:YES;
    self.lab.textColor = selected == YES ? UIColor.whiteColor:UIColor.lightGrayColor;
    self.lab.backgroundColor = selected == YES ? UIColor.blackColor : UIColor.whiteColor;
    
    // Configure the view for the selected state
}

-(void)setModel:(Model *)model
{
    self.lab.text = [NSString stringWithFormat:@"%@",model.name];
}

@end
