//
//  rightCell.m
//  DemoApp02
//
//  Created by YaosuMac on 2020/12/17.
//

#import "rightCell.h"

@implementation rightCell

-(instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        self.lab = [[UILabel alloc]initWithFrame:CGRectMake(5, 5, 200, 30)];
        self.lab.font = [UIFont systemFontOfSize:13];
        self.lab.textColor = [UIColor lightGrayColor];
        [self addSubview:self.lab];
    }
    
    return self;
}


- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

-(void)setSubModel:(subModel *)subModel
{
    self.lab.text = [NSString stringWithFormat:@"%@",subModel.name];
}

@end
